function x = toms729(c,r,b,pmax) %#ok
%TOMS729 solution of a general/symmetric real Toeplitz linear system
%
%   For a general Toeplitz system, it is called by
%      x = toms729(c,r,b,pmax)
%   or
%      x = toms729(c,r,b)                  (default pmax=10)
%   where (c,r) are the first column/row of the Toeplitz matrix,
%   b is the right hand side and pmax is the maximum block size.
%
%   The invocations
%      x = toms729(r,b,pmax)
%      x = toms729(r,b)
%   solve a symmetric Toeplitz system.
%
%   Three optional outputs are available
%      [x,conda,condm,psteps] = toms729(...)
%   conda is an estimate of the algorithm condition number
%   condm is an estimate of the classical 2-norm condition number
%   psteps is the number of block-steps used to solve the linear system
%          of equations with the extended Levinson algorithm.
%
%   This is a Matlab mex gateway for
%   ALGORITHM 729, COLLECTED ALGORITHMS FROM ACM.
%   THIS WORK PUBLISHED IN TRANSACTIONS ON MATHEMATICAL SOFTWARE,
%   VOL. 20, NO. 1, MARCH, 1994, P. 160.
%   by P.C. HANSEN and T. CHAN

%   Antonio Arico' and Giuseppe Rodriguez, University of Cagliari, Italy
%   Email: arico@unica.it, rodriguez@unica.it
%
%   Last revised November 14, 2007

% The following comment, MATLAB compiler pragma, is necessary to avoid compiling 
% this M-file instead of linking against the MEX-file.  Don't remove.
%# mex

error('C-MEX function not found');

% [EOF] toms729.m
